Status

--
critical
RESOLVED INCOMPLETE
7 years ago
7 years ago

People

(Reporter: nrlacasse, Unassigned)

Tracking

({hang})

12 Branch
x86_64
Windows 7

Firefox Tracking Flags

(Not tracked)

Details

Attachments

(2 attachments, 1 obsolete attachment)

(Reporter)

Description

7 years ago
User Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:12.0a1) Gecko/20120101 Firefox/12.0a1
Build ID: 20120101031015

Steps to reproduce:

When I updated from 11.0a1 to 12.0a1 I started having problems where Thunderbird just stops working (Not Responding).


Actual results:

When it stops working I click anywhere in the program and I get "Not Responding". I close the program and restart. It is doing this several times an hour.


Expected results:

The program should work properly.

I have Windows 7 x64

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0a1) Gecko/20120102 Thunderbird/12.0a1 ID:20120102030146
(Reporter)

Updated

7 years ago
Hardware: x86 → x86_64
Can you follow the instructions at https://developer.mozilla.org/en/How_to_get_a_stacktrace_with_WinDbg and provide us with a stack trace ? (replace firefox by thunderbird in those instructions).
Keywords: hang

Comment 2

7 years ago
Do you have any emails that are only partially downloaded (the 'do not download truncate messages over certain size' feature)? Are you on POP3, do you have 'leave messages on server for X days' feature on?
(Reporter)

Comment 3

7 years ago
I do not have any partially downloaded emails.
I use POP3
I do not leave messages on the server.

I've been involved in another bug and I today I decided to create a new/additional profile. Both problems seem to be gone in the new profile. I will work on a stack trace on the old profile. Would you like me to do this on the new profile to compare? That might help the people in the other bug too. I'll have to ask them. I will start tomorrow morning.
(Reporter)

Comment 4

7 years ago
This is what I did so far. I'm not sure if this is correct or incorrect. First I downloaded and installed the Microsoft .NET Framework 4 (Web Installer) x64 version. Then I installed the Microsoft Windows SDK for Windows 7 and .NET Framework 4. I made sure Windows was up to date. Then I found out the x64 version of WinDbg was installed. I ended up installing a previous version of the x86 WinDbg 6.11.1.404 from March 27, 2009. I ran Windows Update again and it said everything was up to date.

I ran the x86 version of WinDbg like suggested.

I checked in Windows Task Manager to make sure only one process of thunderbird.exe*32 was running. There was only one process in the .tlist list in the Command Window.

After I ran the Debug Go I got an exception ntdll32!LdrpDoDebuggerBreak+0x2c and on the next line int 3 so I typed in the four commands in the FAQ's.

After that I waited for a long time and nothing else happened, so far anyways because it is still running. I checked Windows Task Manager and there were two thunderbird.exe*32 processes running. I'm not sure if that is correct or not.

The next step is to run the Debug Break, I think? I'm not sure about this step. I did not get an Access violation error yet. ???

I have not done any of the after the crash or hang steps yet because I don't believe it has crashed yet.

Does it sound like I'm doing things correctly?

If it does not crash by the time I'm logging off, do I continue the steps so I can create a log for you to view?

I'm running my original profile that I was having trouble with.
(Reporter)

Comment 5

7 years ago
Created attachment 586232 [details]
This is the info in the command window before I stopped the program.

This text file shows what was done before I stopped the program. I copied the text from the command window.
(Reporter)

Comment 6

7 years ago
Created attachment 586234 [details]
This is the file WinDbg created

This is what the program saved.
(Reporter)

Comment 7

7 years ago
I will rerun the program tomorrow. Please tell me if I did not do something correctly.
(Reporter)

Comment 8

7 years ago
Created attachment 586706 [details]
Today's stacktrace 2012-01-07 approx. 12:30 PM Eastern USA

There are errors so please look at it and tell me how to correct them. It says the wrong symbols are used. Do I have to put in another code?

Comment 9

7 years ago
bienvenu, what do you make of this one?

(In reply to NRLacasse from comment #8)
> Created attachment 586706 [details]
> Today's stacktrace 2012-01-07 approx. 12:30 PM Eastern USA
> 
> There are errors so please look at it and tell me how to correct them. It
> says the wrong symbols are used. Do I have to put in another code?

Comment 10

7 years ago
NRL, we should have asked first, do you see this if you are started in safe mode?
http://support.mozillamessaging.com/en-US/kb/safe-mode?s=safe&as=s

Updated

7 years ago
Attachment #586234 - Attachment is obsolete: true
(Reporter)

Comment 11

7 years ago
Hi, thanks for looking at this bug. It was doing it in 12 so I just put it in safe mode because I am using 13 now. I will update as soon as it stops responding, if it does. This will give a timeline on how long it runs.
(Reporter)

Comment 12

7 years ago
Hi, I just checked the program and it is not responding. So the time was less than 2 1-2 hours in safe mode.
(Reporter)

Comment 13

7 years ago
I just noticed my above post was supposed to be less than 2 1/2 hours.
David can you make some sense of the stack trace ?

Comment 15

7 years ago
(In reply to Ludovic Hirlimann [:Usul] from comment #14)
> David can you make some sense of the stack trace ?

No, I don't think the right symbols are loaded since the dump says things like "Your debugger is not using the correct symbols" - I think Wayne has a link that shows you how to get the latest windows symbols.

Comment 16

7 years ago
Is gloda re-indexing? How long does the program go "not responding"? Does it hang until you kill it? If so, I would suspect the various SSL issues, which should be fixed by now.
(Reporter)

Comment 17

7 years ago
Hi,

I don't know what gloda is, I'm not a programmer. If you tell me what to do I can check and see if it is re-indexing.

It goes "not responding" anywhere from every few minutes to every few hours. Lately it hangs every few minutes. Sometimes I can't even finish reading an email.

Yes it hangs until I kill it via Task Manager or Process Lasso. Process Lasso gives me the option to restart the process.

Early this morning I got a response in a thread I started in mozillaZine Forums by tanstaafl. His response is the only response so far. http://forums.mozillazine.org/viewtopic.php?f=29&t=2420273

Posted Today, 1:28 am

I noticed the stack trace complained you need to set your symbol path to .pdb files with full type information . https://developer.mozilla.org/en/How_to ... ith_WinDbg doesn't seem to tell you how to do that. https://developer.mozilla.org/en/Using_ ... bol_server talks about a symbol server for Firefox that might provide that if you were using Firefox and a tinderbox build. You're using Thunderbird so you might try following the second set of instructions with a build from the Thunderbird tinderbox, but modify the URL to http://symbols.mozilla.org/thunderbird .

https://developer.mozilla.org/en/Tinderbox
http://ftp.mozilla.org/pub/mozilla.org/ ... ox-builds/


Norman
(Reporter)

Comment 18

7 years ago
Hi,

I downloaded Thunderbird TinderBox 20120214043645

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120214 Thunderbird/13.0a1 ID:20120214043645


I installed it in a new directory:

Daily: C:\Program Files (x86)\Mozilla Thunderbird\Daily\thunderbird.exe

TinderBox: C:\Program Files (x86)\Mozilla Thunderbird\TinderBox\thunderbird.exe

I ran the TinderBox version in WinDbg x86:

I opened File > Open Executable

I get a Command window

I enter the following code separately:

.sympath SRV*c:\symbols*http://symbols.mozilla.org/firefox;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols

.symfix+ c:\symbols

.reload /f

I got the following code with an *** ERROR:

Microsoft (R) Windows Debugger Version 6.11.0001.404 X86
Copyright (c) Microsoft Corporation. All rights reserved.

CommandLine: "C:\Program Files (x86)\Mozilla Thunderbird\TinderBox\thunderbird.exe"
Symbol search path is: SRV*c:\symcache\*http://msdl.microsoft.com/download/symbols;SRV*c:\symcache\*http://symbols.mozilla.org/thunderbird
Executable search path is: 
ModLoad: 00fe0000 01040000   thunderbird.exe
ModLoad: 77c00000 77d80000   ntdll.dll
ModLoad: 76230000 76340000   C:\Windows\syswow64\kernel32.dll
ModLoad: 769e0000 76a26000   C:\Windows\syswow64\KERNELBASE.dll
ModLoad: 76690000 76790000   C:\Windows\syswow64\USER32.dll
ModLoad: 76da0000 76e30000   C:\Windows\syswow64\GDI32.dll
ModLoad: 767d0000 767da000   C:\Windows\syswow64\LPK.dll
ModLoad: 765c0000 7665d000   C:\Windows\syswow64\USP10.dll
ModLoad: 76bb0000 76c5c000   C:\Windows\syswow64\msvcrt.dll
ModLoad: 76190000 76230000   C:\Windows\syswow64\ADVAPI32.dll
ModLoad: 76c90000 76ca9000   C:\Windows\SysWOW64\sechost.dll
ModLoad: 771d0000 772c0000   C:\Windows\syswow64\RPCRT4.dll
ModLoad: 752e0000 75340000   C:\Windows\syswow64\SspiCli.dll
ModLoad: 752d0000 752dc000   C:\Windows\syswow64\CRYPTBASE.dll
ModLoad: 72730000 727cb000   C:\Windows\WinSxS\x86_microsoft.vc80.crt_1fc8b3b9a1e18e3b_8.0.50727.6195_none_d09154e044272b9a\MSVCR80.dll
(6944.bf20): Break instruction exception - code 80000003 (first chance)
eax=00000000 ebx=00000000 ecx=52920000 edx=0016e3c8 esi=fffffffe edi=00000000
eip=77ca0fab esp=003ffa4c ebp=003ffa78 iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000246
ntdll!LdrpDoDebuggerBreak+0x2c:
77ca0fab cc              int     3
0:000> .sympath SRV*c:\symbols*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols
Symbol search path is: SRV*c:\symbols*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols
Expanded Symbol search path is: srv*c:\symbols*http://symbols.mozilla.org/thunderbird;srv*c:\symbols*http://msdl.microsoft.com/download/symbols
0:000> .symfix+ c:\symbols
0:000> .reload /f
Reloading current modules
.*** ERROR: Module load completed but symbols could not be loaded for thunderbird.exe
..............
(In reply to NRLacasse from comment #18)
> Hi,
> 
> I downloaded Thunderbird TinderBox 20120214043645
> 
> Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120214
> Thunderbird/13.0a1 ID:20120214043645
> 
> 
> I installed it in a new directory:
> 
> Daily: C:\Program Files (x86)\Mozilla Thunderbird\Daily\thunderbird.exe
> 
> TinderBox: C:\Program Files (x86)\Mozilla
> Thunderbird\TinderBox\thunderbird.exe
> 
> I ran the TinderBox version in WinDbg x86:
> 
> I opened File > Open Executable
> 
> I get a Command window
> 
> I enter the following code separately:
> 
> .sympath
> SRV*c:\symbols*http://symbols.mozilla.org/firefox;SRV*c:\symbols*http://msdl.
> microsoft.com/download/symbols

make sure that c:\symbols is read and writable by everybody ( right click on the folder -> and check the security properties).

also in that line please change firefox to thunderbird so windbg will load the proper symbols.

> .*** ERROR: Module load completed but symbols could not be loaded for
> thunderbird.exe
> ..............

see above
(Reporter)

Comment 20

7 years ago


Authenticated Users:

Full Control             N
Modify                   Y
Read & execute           Y
List folder contents     Y
Read                     Y
Write                    Y
Special permissions      N


SYSTEM:

Full Control             Y
Modify                   Y
Read & execute           Y
List folder contents     Y
Read                     Y
Write                    Y
Special permissions      N


Administrators:

Full Control             Y
Modify                   Y
Read & execute           Y
List folder contents     Y
Read                     Y
Write                    Y
Special permissions      N


Users:

Full Control             N
Modify                   N
Read & execute           Y
List folder contents     Y
Read                     Y
Write                    Y
Special permissions      N


Should I keep the settings this way?


-----------------------


Mozilla/5.0 (Windows NT 6.1; WOW64; rv:13.0a1) Gecko/20120215 Thunderbird/13.0a1 ID:20120215035558


-----------------------


Microsoft (R) Windows Debugger Version 6.11.0001.404 X86
Copyright (c) Microsoft Corporation. All rights reserved.

CommandLine: "C:\Program Files (x86)\Mozilla Thunderbird\TinderBox\thunderbird.exe"
Symbol search path is: SRV*c:\symcache\*http://msdl.microsoft.com/download/symbols;SRV*c:\symcache\*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols;srv*
Executable search path is: 
ModLoad: 011c0000 01220000   thunderbird.exe
ModLoad: 76ed0000 77050000   ntdll.dll
ModLoad: 76000000 76110000   C:\Windows\syswow64\kernel32.dll
ModLoad: 759b0000 759f6000   C:\Windows\syswow64\KERNELBASE.dll
ModLoad: 75cb0000 75db0000   C:\Windows\syswow64\USER32.dll
ModLoad: 75ea0000 75f30000   C:\Windows\syswow64\GDI32.dll
ModLoad: 763d0000 763da000   C:\Windows\syswow64\LPK.dll
ModLoad: 75bd0000 75c6d000   C:\Windows\syswow64\USP10.dll
ModLoad: 76200000 762ac000   C:\Windows\syswow64\msvcrt.dll
ModLoad: 75e00000 75ea0000   C:\Windows\syswow64\ADVAPI32.dll
ModLoad: 75de0000 75df9000   C:\Windows\SysWOW64\sechost.dll
ModLoad: 76110000 76200000   C:\Windows\syswow64\RPCRT4.dll
ModLoad: 745b0000 74610000   C:\Windows\syswow64\SspiCli.dll
ModLoad: 745a0000 745ac000   C:\Windows\syswow64\CRYPTBASE.dll
ModLoad: 71920000 719bb000   C:\Windows\WinSxS\x86_microsoft.vc80.crt_1fc8b3b9a1e18e3b_8.0.50727.6195_none_d09154e044272b9a\MSVCR80.dll
(bf1c.bf20): Break instruction exception - code 80000003 (first chance)
eax=00000000 ebx=00000000 ecx=76060000 edx=0014dd08 esi=fffffffe edi=00000000
eip=76f70fab esp=0038f560 ebp=0038f58c iopl=0         nv up ei pl zr na pe nc
cs=0023  ss=002b  ds=002b  es=002b  fs=0053  gs=002b             efl=00000246
ntdll!LdrpDoDebuggerBreak+0x2c:
76f70fab cc              int     3
0:000> .sympath SRV*c:\symbols*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols
Symbol search path is: SRV*c:\symbols*http://symbols.mozilla.org/thunderbird;SRV*c:\symbols*http://msdl.microsoft.com/download/symbols
Expanded Symbol search path is: srv*c:\symbols*http://symbols.mozilla.org/thunderbird;srv*c:\symbols*http://msdl.microsoft.com/download/symbols
0:000> .symfix+ c:\symbols
0:000> .reload /f
Reloading current modules
.*** ERROR: Module load completed but symbols could not be loaded for thunderbird.exe
..............

Comment 21

7 years ago
I'm not following this closely, but why are you trying tinderbox build instead of daily/nightly? @ ftp://ftp.mozilla.org/pub/thunderbird/nightly/latest-comm-central/

do we know that symbols.m.o have thunderbird symbol files for tinderbox builds?  It would seem not
(Reporter)

Comment 22

7 years ago

I started a thread in mozillaZine and someone with the user name tanstaafl gave me this response:

-----

I noticed the stack trace complained you need to set your symbol path to .pdb files with full type information . https://developer.mozilla.org/en/How_to ... ith_WinDbg doesn't seem to tell you how to do that. https://developer.mozilla.org/en/Using_ ... bol_server talks about a symbol server for Firefox that might provide that if you were using Firefox and a tinderbox build. You're using Thunderbird so you might try following the second set of instructions with a build from the Thunderbird tinderbox, but modify the URL to http://symbols.mozilla.org/thunderbird .

https://developer.mozilla.org/en/Tinderbox
http://ftp.mozilla.org/pub/mozilla.org/ ... ox-builds/

-----


I installed TinderBox yesterday and so far it has not given me a problem. I still got that error when I tried the stack trace though.
(Reporter)

Comment 23

7 years ago
Hi I just tried a stack trace on Daily and did not get an error

I did the 3 lines of code and got:
Reloading current modules
..............


Does this mean I can continue or is it still working?
(Reporter)

Comment 24

7 years ago


I got to this part:

Now run Firefox by opening the Debug menu and clicking Go.  While Firefox is running, you will not be able to type any commands into the debugger.  After it starts, try to reproduce the crash or hanging issue that you are seeing.


Do I open the browser and see how long it takes to stop responding?
I don't know how to tell if it hangs in the command window.
(Reporter)

Comment 25

7 years ago
> 
> make sure that c:\symbols is read and writable by everybody ( right click on
> the folder -> and check the security properties).
> 


After I made this change I was able to run the stack trace and Daily did not crash. I've been using the program like normal and it is running great. I was also having issues with the context menu but that is working now.

I want to keep this thread open for a little while though. I'm afraid that as soon as it gets closed I'll start having issues again.


It hasn't worked this good since Nightly 11.0a1 last year.

Thank You all for helping me. I'm crossing my fingers :-)

Norm

Comment 26

7 years ago
(In reply to NRLacasse from comment #25)
> I want to keep this thread open for a little while though. I'm afraid that
> as soon as it gets closed I'll start having issues again.

it can alway s be reopened
Whiteboard: [closeme 2012-03-15]

Comment 27

7 years ago
please give us an update as new info becomes available.
thanks
Severity: normal → critical
Status: UNCONFIRMED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → INCOMPLETE
Whiteboard: [closeme 2012-03-15]
You need to log in before you can comment on or make changes to this bug.